Home | History | Annotate | Download | only in regression
      1 #!/bin/bash
      2 
      3 #
      4 # Copyright (c) International Business Machines  Corp., 2005
      5 # Author: Avantika Mathur (mathurav (at] us.ibm.com)
      6 #
      7 # This library is free software; you can redistribute it and/or
      8 # modify it under the terms of the GNU Lesser General Public
      9 # License as published by the Free Software Foundation; either
     10 # version 2.1 of the License, or (at your option) any later version.
     11 #
     12 # This library is distributed in the hope that it will be useful,
     13 # but WITHOUT ANY WARRANTY; without even the implied warranty of
     14 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     15 # Lesser General Public License for more details.
     16 #
     17 # You should have received a copy of the GNU Lesser General Public
     18 # License along with this library; if not, write to the Free Software
     19 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
     20 #
     21 
     22 SETS_DEFAULTS="${TCID=test03} ${TST_COUNT=1} ${TST_TOTAL=1}"
     23 declare -r TCID
     24 declare -r TST_COUNT
     25 declare -r TST_TOTAL
     26 export TCID TST_COUNT TST_TOTAL
     27 
     28 tst_resm TINFO "***************TEST03***************"
     29 tst_resm TINFO "regression: move unshared directory to unshare mountpoint."
     30 tst_resm TINFO "************************************"
     31 
     32 . "${FS_BIND_ROOT}/bin/setup" || (tst_resm TWARN "Setup of regression/test03 failed" && tst_exit)
     33 export result=0
     34 
     35 
     36 
     37 trap 'ERR=$? ; ERR_MSG="caught error near: ${BASH_SOURCE[0]}:${FUNCNAME[0]}:${LINENO}:$_ (returned ${ERR})"; break' ERR
     38 
     39 while /bin/true ; do
     40 	# This loop is for error recovery purposes only
     41 
     42 
     43 
     44 	mkdir dir1
     45 	mkdir dir2
     46 	mount --bind "$disk1" dir1
     47 	mount --bind "$disk2" dir1/a
     48 	mount --move dir1 dir2
     49 
     50 	check dir2/a "$disk2"
     51 
     52 	break
     53 done
     54 trap 'ERR=$? ; tst_resm TWARN "regression/test03: caught error near: ${BASH_SOURCE[0]}:${FUNCNAME[0]}:${LINENO}:$_ (returned ${ERR})"' ERR
     55 if [ -n "${ERR_MSG}" ]; then
     56 	tst_resm TWARN "regression/test03: ${ERR_MSG}"
     57 	ERR_MSG=""
     58 	result=$ERR
     59 fi
     60 trap '' ERR
     61 {
     62 	umount dir2/a
     63 	umount dir2
     64 	umount dir1
     65 
     66 	rm -rf dir*
     67 	cleanup
     68 } >& /dev/null
     69 if [ $result -ne 0 ]
     70 then
     71 	tst_resm TFAIL "regression/test03: FAILED: regression: move unshared directory to unshare mountpoint."
     72 	exit 1
     73 else
     74 	tst_resm TPASS "regression/test03: PASSED"
     75 	exit 0
     76 fi
     77 tst_exit
     78